%define snobrel 1.2

Name:           snobol
Version:        4.%{snobrel}
Release:        1%{?dist}
Summary:        The SNOBOL programming language

Group:          Development/Languages
License:        BSD
URL:            http://www.snobol4.org
Source0:        ftp://ftp.ultimate.com/%{name}/%{name}4-%{snobrel}.tar.gz
Patch1:		snobol-4.1.2-config.patch
Patch2:		snobol-4.1.1-doc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  tcl-devel
BuildRequires:  gdbm-devel
BuildRequires:	m4
Requires(post):	/sbin/ldconfig
Requires(postun):	/sbin/ldconfig

%description
SNOBOL4, while known primarily as a string language excels at any task
involving symbolic manipulations.  It provides run time typing,
garbage collection, user data types, on the fly compilation.  It's
primary weakness is it's simple syntax, and lack of "structured
programming" and "object oriented" constructs.

%package devel
Summary:	Header for external SNOBOL modules
Group:	 	Development/Languages
Requires:	snobol = %{version}

%description devel
This package contains header file which are requires to create
external SNOBOL modules in C

%prep
%setup -q -n %{name}4-%{snobrel}
%patch1 -p1 -b .bak
%patch2 -p1 -b .docbak

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --mandir=%{_mandir} --with-tcl --with-tk \
	     --libdir=%{_libdir} --add-cppflags="${RPM_OPT_FLAGS}"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYRIGHT README CHANGES doc/load.txt
%{_bindir}/snobol*
%{_datadir}/snobol4/
%{_mandir}/man*/*
%{_libdir}/libsnobol.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/snobol4/
%{_libdir}/libsnobol.so

%changelog
* Thu Apr 23 2009 Jochen Schmitt <Jochen herr-schmitt de> 4.1.2-1
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 24 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-7
- Reworking the summary of the package

* Thu Aug 21 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-6
- Try to minimize undef. non-weak symbols

* Wed Aug 20 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-5
- Fix broken Req. in devel package

* Wed Aug 20 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-4
- Fix symlink issue

* Mon Aug 18 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-3
- Fix issue of setting soname

* Sun Aug 17 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-2
- Remove -O3 flag from configure file
- Splitting of a devel sub package

* Sun Jul 27 2008 Gerard Milmeister <gemi@bluewin.ch> 4.1.1-1
- first Fedora release

